using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// MBI信息基类
    /// </summary>
    public class MBIItem
    {
        public MBIItem()
        {
            Parameters = new MBIParameterSet();
        }
        /// <summary>
        /// 参数集合
        /// </summary>
        public MBIParameterSet Parameters { get; private set; }

        public object GetValue(string code)
        {
            var parameter = Parameters.GetParameter(code);
            if (parameter != null)
            {
                return parameter.Value;
            }
            //可以去定义里找默认值
            return null;
        }
        public void SetValue(string code, object value)
        {
            var parameter = Parameters.GetParameter(code);
            if (parameter== null)
            {
                parameter = new MBIParameter() { Code = code };
                Parameters.Add(parameter);
            }
            parameter.Value = value;
        }
    }
}
